#include <bits/stdc++.h>
using namespace std;
string s;
long long n,i,j,l,r,m,d,b[20007];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	 cin >>s;
     cin >>n;
     d=1;
     m=s.size();
     b[0]=1;
     for (i=1; i<m; i++) {
         if (s[i]<s[i-1]) {b[i]=b[i-1]+1;}
         else b[i]=b[i-1];
         //cout <<b[i]<<' ';
     }
     for (i=1; i<=n; i++) {
         cin >>l >>r;
         l--;
         r--;
         cout <<b[r]-b[l]+1<<endl;
     }
     
}
